org.apache.sysds.runtime.controlprogram

## Enum ParForProgramBlock.PTaskPartitioner

- java.lang.Object
- - java.lang.Enum<ParForProgramBlock.PTaskPartitioner>
  - - org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PTaskPartitioner

- All Implemented Interfaces:
    Serializable, Comparable<ParForProgramBlock.PTaskPartitioner>
  Enclosing class:
    ParForProgramBlock

      public static enum ParForProgramBlock.PTaskPartitioner
      extends Enum<ParForProgramBlock.PTaskPartitioner>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FACTORING`
    `FACTORING_CMAX`
    `FACTORING_CMIN`
    `FIXED`
    `NAIVE`
    `STATIC`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParForProgramBlock.PTaskPartitioner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParForProgramBlock.PTaskPartitioner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIXED

          public static final ParForProgramBlock.PTaskPartitioner FIXED

    - #### NAIVE

          public static final ParForProgramBlock.PTaskPartitioner NAIVE

    - #### STATIC

          public static final ParForProgramBlock.PTaskPartitioner STATIC

    - #### FACTORING

          public static final ParForProgramBlock.PTaskPartitioner FACTORING

    - #### FACTORING_CMIN

          public static final ParForProgramBlock.PTaskPartitioner FACTORING_CMIN

    - #### FACTORING_CMAX

          public static final ParForProgramBlock.PTaskPartitioner FACTORING_CMAX

    - #### UNSPECIFIED

          public static final ParForProgramBlock.PTaskPartitioner UNSPECIFIED

  - ### Method Detail

    - #### values

          public static ParForProgramBlock.PTaskPartitioner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParForProgramBlock.PTaskPartitioner c : ParForProgramBlock.PTaskPartitioner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParForProgramBlock.PTaskPartitioner valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.